package yi.iu.processor.symmetry;

import yi.iu.processor.contour.mdContourExtractor;
import java.awt.*;

public abstract class ContourBasedSymProcessor extends yi.iu.processor.symmetry.SymmetryProcessor
{
    public boolean display_contour = true;
    String edgeDector= "yi.iu.processor.contour.mdContourExtractor";    //or "CannyEdgeDector";
    //static int MAXWIDTH=40;

    public ContourBasedSymProcessor() {super();}

    public ContourBasedSymProcessor(String edgeDectorName)
    {
        super();
        edgeDector=edgeDectorName;
    }

    abstract public int[] getProcessed(int source[], Dimension d, int maxwidth);

    public int[] getProcessed(int source[], Dimension d)
    {
        return getProcessed(source,d,d.width);
    }
}